﻿@keyframes slideLeftToRight {
    0% {
        transform: translateX(-500px); /* Starts from the left */
        opacity: 0;
        visibility: hidden !important;
    }

    1% {
        visibility: visible !important;
    }

    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slideRightToLeft {
    0% {
        transform: translateX(500px); /* Starts from the left */
        opacity: 0;
        visibility: hidden !important;
    }

    1% {
        visibility: visible !important;
    }

    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes flip {
    0% {
        transform: rotateY(260deg);
        opacity: 0;
    }

    1% {
        visibility: visible !important;
    }

    100% {
        transform: rotateY(360deg);
        opacity: 1;
    }
}

.hidden {
    opacity: 0;
    visibility: hidden !important;
    transform: translateY(0);
}

.slide-left-to-right {
    animation: slideLeftToRight 3s ease forwards;
    opacity: 0; /* Initial state */
    transform: translateY(-50px); /* Initial state */
}

.slide-right-to-left {
    animation: slideRightToLeft 3s ease forwards;
    opacity: 0; /* Initial state */
    transform: translateY(-50px); /* Initial state */
}

.flip1 {
    perspective: 1000px; /* Enables 3D space for the flip */
    animation: flip 2s ease-in-out;
    opacity: 0; /* Initial state */
    animation-fill-mode: forwards; /* Retain the final state */
}

.flip2 {
    perspective: 1000px; /* Enables 3D space for the flip */
    animation: flip 2s ease-in-out;
    animation-delay:1s;
    opacity: 0; /* Initial state */
    animation-fill-mode: forwards; /* Retain the final state */
}

.flip3 {
    perspective: 1000px; /* Enables 3D space for the flip */
    animation: flip 2s ease-in-out;
    animation-delay: 2s;
    opacity: 0; /* Initial state */
    animation-fill-mode: forwards; /* Retain the final state */
}
